/*
editeurconfig - Editeur de Fichiers de Config de Jaxe

Copyright (C) 2011 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformément aux dispositions de la Licence Publique Générale GNU, telle que publiée par la Free Software Foundation ; version 2 de la licence, ou encore (à votre choix) toute version ultérieure.

Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de détail, voir la Licence Publique Générale GNU .

Vous devez avoir reçu un exemplaire de la Licence Publique Générale GNU en même temps que ce programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

package editeurconfig;

import java.util.*;

public class AttributSS implements java.lang.Comparable {
    
    private String nom;
    private String presence;
    private ArrayList<String> valeurs;
    

    public AttributSS() {
        nom = "";
        presence = "";
        valeurs = new ArrayList<String>();
    }
    
    
    /******* GET **************/
    public String getNom() {
        return nom;
    }
    
    public String getPresence() {
        return presence;
    }
    
    public ArrayList<String> getValeurs() {
        //Collections.sort(valeurs);
        return valeurs;
    }
    
    
    
    
    /******* SET **************/
    public void setNom(String unNom) {
        nom = unNom;
    }
    
    public void setPresence(String unePresence) {
        presence = unePresence;
    }
    
    public void setValeur(String uneValeur, int index) {
        valeurs.set(index, uneValeur);
    }
    
    
    
    /**********Ajout Suppression ***************/
    public void ajouterValeur(String uneValeur) {
        if (!valeurs.contains(uneValeur))
            valeurs.add(uneValeur); 
    }
    
    public void supprimerValeur(String uneValeur) {
        if (valeurs.contains(uneValeur))
            valeurs.remove(uneValeur); 
    }
    
    public int compareTo(Object ass) { 
        String nom1 = ((AttributSS)ass).getNom(); 
        String nom2 = this.getNom(); 
        if (nom2.compareTo(nom1) < 0) 
            return -1; 
        else if (nom2.compareTo(nom1) == 0) 
            return 0; 
        else 
            return 1; 
   }
}
